Bug 126228 - [PATCH] mail/courier: new version 0.60.0
Summary: [PATCH] mail/courier: new version 0.60.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-04 02:50 UTC by Yarema
Modified: 2008-12-19 12:50 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (26.33 KB, patch)
2008-08-04 02:50 UTC, Yarema
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yarema 2008-08-04 02:50:00 UTC
rootcerts no longer installed by this port, hence the new RUN_DEPENDS
on security/ca_root_nss.  Also scripts/c_rehash and the scripts/ directory
itself should be removed since the port no longer uses them.

Sort CONFLICTS alphabetically and add couriermlm-0.*, a new port
I'm working on which will only install enough to make couriermlm(1)
work with other VERP capable MTAs such as Postfix.

New patch file: files/patch-courier__cmlm.h
directly related to the new couriermlm port since I plan to point it at this port's files dir.

As of version 0.55.0 there is a new webmlm interface which had to be accounted for in the patches and plist.
Comment 1 Edwin Groothuis freebsd_committer 2008-08-04 02:50:09 UTC
Maintainer of mail/courier,

Please note that PR ports/126228 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/126228

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-08-04 02:50:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 bsd 2008-08-10 15:30:58 UTC
Please wait a bit, I am evaluating patch provided and trying to combine it 
with my own patches not yet in official repository. Once complete, I post new 
patch.

Regards,
Milan
Comment 4 Stefan Walter freebsd_committer 2008-10-17 16:58:31 UTC
Hi Milan,

there hasn't been an update of this PR [1] for a while. Any news on this
issue?

Regards,
Stefan

[1]: http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/126228
Comment 5 Stefan Walter freebsd_committer 2008-12-18 22:02:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 6 dfilter service freebsd_committer 2008-12-19 12:42:12 UTC
stefan      2008-12-19 12:42:03 UTC

  FreeBSD ports repository

  Modified files:
    mail/courier         Makefile Makefile.man Makefile.own 
                         distinfo pkg-plist 
    mail/courier/files   courier.sh.in patch-courier__perms.sh.in 
  Added files:
    mail/courier/files   patch-courier__cmlm.h 
  Removed files:
    mail/courier/scripts c_rehash 
  Log:
  - Update to 0.60.0.
  - Add RUN_DEPENDS on security/ca_root_nss.
  - Remove scripts/c_rehash.
  - Sort CONFLICTS alphabetically and add couriermlm-0.*.
  
  PR:             126228
  Submitted by:   Yarema <yds@CoolRat.org>
  Approved by:    maintainer timeout (2 months)
  
  Revision  Changes    Path
  1.48      +15 -14    ports/mail/courier/Makefile
  1.10      +2 -1      ports/mail/courier/Makefile.man
  1.6       +4 -0      ports/mail/courier/Makefile.own
  1.22      +3 -3      ports/mail/courier/distinfo
  1.3       +19 -1     ports/mail/courier/files/courier.sh.in
  1.1       +11 -0     ports/mail/courier/files/patch-courier__cmlm.h (new)
  1.2       +10 -9     ports/mail/courier/files/patch-courier__perms.sh.in
  1.18      +27 -192   ports/mail/courier/pkg-plist
  1.4       +0 -160    ports/mail/courier/scripts/c_rehash (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Stefan Walter freebsd_committer 2008-12-19 12:42:25 UTC
State Changed
From-To: feedback->closed

Committed, thanks!